net.i2p.client

## Class I2PSessionImpl.AvailabilityNotifier

- java.lang.Object
- - net.i2p.client.I2PSessionImpl.AvailabilityNotifier

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    I2PSessionMuxedImpl.MuxedAvailabilityNotifier
  Enclosing class:
    I2PSessionImpl

      protected class I2PSessionImpl.AvailabilityNotifier
      extends Object
      implements Runnable

  This notifies the client of payload messages. Needs work.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PSessionImpl.AvailabilityNotifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `available(long msgId, int size)`
    `void` | `run()`
    `void` | `stopNotifying()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PSessionImpl.AvailabilityNotifier

          public I2PSessionImpl.AvailabilityNotifier()

  - ### Method Detail

    - #### stopNotifying

          public void stopNotifying()

    - #### available

          public void available(long msgId,
                       int size)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`